Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005055OCamlOCaml generalpublic2010-05-19 09:452010-05-21 13:29
Reporterygrek 
Assigned Todoligez 
PrioritynormalSeveritytrivialReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version3.11.1 
Target VersionFixed in Version3.12.0+dev 
Summary0005055: `head -1` will not work in some environments
DescriptionDuring Ocaml build there is the following output :

echo "#define OCAML_VERSION \"`head -1 ../VERSION`\"" > version.h
head: `-1' option is obsolete; use `-n 1'
Try `head --help' for more information.

Build runs to completion but the resulting `ocamlc -version` doesn't show version number. This happens on some embedded linux platform.

$ grep -R -l 'head -1' trunk/ | grep -v svn-base
trunk/tools/make-package-macosx
trunk/yacc/Makefile.nt
trunk/yacc/Makefile
trunk/testsuite/tests/lib-threads/test2.checker
trunk/testsuite/tests/lib-threads/testsignal.checker
trunk/testsuite/tests/lib-threads/test3.checker
trunk/testsuite/tests/lib-threads/testsignal2.checker
trunk/byterun/Makefile.common
trunk/camlp4/unmaintained/etc/Makefile
trunk/stdlib/Makefile.shared
Additional InformationSee http://mldonkey.sourceforge.net/phpBB2/viewtopic.php?p=30324#30324 [^]
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0005483)
doligez (administrator)
2010-05-21 13:29

Fixed by using sed instead. Hopefully, that will change less often than head.

- Issue History
Date Modified Username Field Change
2010-05-19 09:45 ygrek New Issue
2010-05-20 17:02 doligez Status new => assigned
2010-05-20 17:02 doligez Assigned To => doligez
2010-05-21 13:29 doligez Note Added: 0005483
2010-05-21 13:29 doligez Status assigned => closed
2010-05-21 13:29 doligez Resolution open => fixed
2010-05-21 13:29 doligez Fixed in Version => 3.12.0+dev


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker